## glib2.0 2.64.6

=== debian/changelog ===
glib2.0 (2.64.6-1~ubuntu20.04.9) focal-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2025-4373-1.patch: carefully handle gssize
      in glib/gstring.c.
    - CVE-2025-4373

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 12 May 2025 07:24:59 -0300

glib2.0 (2.64.6-1~ubuntu20.04.8) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52533.patch: fix a single byte buffer
      overflow in connect messages in gio/gsocks4aproxy.c.
    - CVE-2024-52533

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 13 Nov 2024 16:12:53 -0300

glib2.0 (2.64.6-1~ubuntu20.04.7) focal-security; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Backport patches to handle CVE-2024-34397

  [ Marc Deslauriers ]
  * debian/patches/CVE-2024-34397/gdbusconnection-regression.patch: fix
    ibus regression.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 May 2024 13:30:11 -0400

glib2.0 (2.64.6-1~ubuntu20.04.6) focal-security; urgency=medium

  * SECURITY UPDATE: multiple GVariant security issues
    - debian/patches/gvariant-security-*.patch: backported upstream fixes
      for GVariant normalization issues.
    - CVE-2023-24593, CVE-2023-29499, CVE-2023-25180, CVE-2023-32611,
      CVE-2023-32636, CVE-2023-32643, CVE-2023-32665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jun 2023 10:20:31 -0400

glib2.0 (2.64.6-1~ubuntu20.04.4) focal; urgency=medium

  * Initialise memory used for file builder buffers to zero, since memory
    artifacts found themseleves into gschema.compiled files, leading to glib
    being unable to parse the gschema.compiled files, causing gdm, gnome-shell
    and various gnome applications to fail to
    start. (LP: #1930359)
      - d/p/gvdb-builder-Initialise-some-memory-to-zero-in-the-bloom-.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 12 Jul 2021 15:56:16 +0100

glib2.0 (2.64.6-1~ubuntu20.04.3) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect g_file_replace() symlink handling
    - debian/patches/CVE-2021-28153-1.patch: fix a typo in a comment in
      gio/glocalfileoutputstream.c.
    - debian/patches/CVE-2021-28153-2.patch: stop using g_test_bug_base()
      in file tests in gio/tests/file.c.
    - debian/patches/CVE-2021-28153-3.patch: factor out a flag check in
      gio/glocalfileoutputstream.c.
    - debian/patches/CVE-2021-28153-4.patch: fix CREATE_REPLACE_DESTINATION
      with symlinks in gio/glocalfileoutputstream.c, gio/tests/file.c.
    - debian/patches/CVE-2021-28153-5.patch: add a missing O_CLOEXEC flag
      to replace() in gio/glocalfileoutputstream.c.
    - CVE-2021-28153

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 12 Mar 2021 11:38:38 -0500

glib2.0 (2.64.6-1~ubuntu20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: g_byte_array_new_take length truncation
    - debian/patches/CVE-2021-2721x/CVE-2021-27218.patch: do not accept too
      large byte arrays in glib/garray.c, glib/gbytes.c,
      glib/tests/bytes.c.
    - CVE-2021-27218
  * SECURITY UPDATE: integer overflow in g_bytes_new
    - debian/patches/CVE-2021-2721x/CVE-2021-27219*.patch: add internal
      g_memdup2() function and use it instead of g_memdup() in a bunch of
      places.
    - CVE-2021-27219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Mar 2021 12:28:09 -0500

glib2.0 (2.64.6-1~ubuntu20.04.1) focal; urgency=medium

  [ Iain Lane ]
  * New upstream release (LP: #1907433), fixing bugs:
    - Ensure g_subprocess_communicate_async() never blocks
    - Fix large writes in gfileutils
    - Fix splice behavior on cancellation
    - gdatetime: Avoid integer overflow creating dates too far in the past
    - gdesktopappinfo: Fix unnecessarily copied and leaked URI list
    - gthreadedresolver: faulty logic in parse_res_txt
    - gtk3/glib crash on gimp
    - gvariant: Ensure GVS.depth is initialised
    - trash portal: Handle portal failures
  * gbp.conf: Set upstream branch to upstream/2.64.x
  * Drop patches applied upstream:
    - glib-compile-resources-Fix-exporting-on-Visual-Studio.patch
    - gdesktopappinfo-Fix-unnecessarily-copied-and-leaked-URI-l.patch
  * Revert changes from Debian which we don't need in this SRU:
    + Revert "d/tests/build: Don't exercise static linking for GIO"
    + control{,.in}: Re-lower libmount BD version.
      The problems that prompted this to be raised happened post-focal.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Dec 2020 11:23:14 +0000

glib2.0 (2.64.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve async-signal-safety
  * d/tests/build: Don't exercise static linking for GIO.
    libmount will no longer support being linked statically from 2.35.2-8
    onwards. For now I'm continuing to test that the other libraries can
    still be statically linked, but please consider them to be "at risk".
    (Closes: #963933)
  * Re-enable libmount support.
    libmount no longer depends on libcryptsetup, avoiding the various
    crashes that we are working around. Future versions will dlopen it
    on-demand, which should also avoid those crashes. Bump the
    build-dependency to a suitable version.
  * d/p/tests-Use-g_assert_-in-cancellable-test-rather-than-g_ass.patch,
    d/p/gcancellable-Fix-minor-race-between-GCancellable-and-GCan.patch:
    Split combined d/p/git_gsource_segfault.patch into its two component
    upstream commits, and add metadata
  * d/p/glib-compile-resources-Fix-exporting-on-Visual-Studio.patch,
    d/p/gdesktopappinfo-Fix-unnecessarily-copied-and-leaked-URI-l.patch:
    Add post-release bugfixes from upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Jul 2020 13:33:01 +0100

glib2.0 (2.64.3-2) unstable; urgency=medium

  * Team upload
  * Temporarily disable libmount support.
    Recent Debian revisions of libmount pull in libcryptsetup as a

