## glib2.0 2.66.1

=== debian/changelog ===
glib2.0 (2.66.1-2) unstable; urgency=medium

  * Cherry-pick patches from the glib-2-66 branch upstream
    - Fixes the regression called out in 2.66.1-1's changelog.
  * Add-a-test-for-the-6-days-until-EOM-bug.patch,
    Fix-the-6-days-until-the-end-of-the-month-bug.patch: Cherry-pick upstream
    mr!1705 to not break on timezones built with `zic -b slim`

 -- Iain Lane <laney@debian.org>  Fri, 16 Oct 2020 17:38:50 +0100

glib2.0 (2.66.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - A performance problem where timezones were reloaded from disk
      every time a GTimeZone was created has been fixed (upstream issue
      #2204), but this means that changes to /etc/localtime will not take
      effect until a process restarts. Future changes in a subsequent
      2.66.x release will improve this.
    - Security fix for incorrect scope/zone ID parsing in URIs
    - Fix invalid Pointer Arithmetic in g_path_get_basename
    - Fix cookie lifetimes in GDBus DBUS_COOKIE_SHA1 mechanism
    - Fix faulty logic in DNS TXT record parsing
    - trash portal: Handle portal failures
    - gio-tool-trash: Prevent recursion to speed up emptying trash
    - glist: Clarify that g_list_free() and friends only free an entire list
    - gdatetime: Avoid integer overflow creating dates too far in the past
    - Translation updates
  * d/p/glocalfile-Never-require-G_LOCAL_FILE_STAT_FIELD_ATIME.patch,
    d/p/gdbusauthmechanismsha1-Use-the-same-timeouts-as-libdbus.patch:
    Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Oct 2020 09:31:27 +0100

glib2.0 (2.66.0-2) unstable; urgency=medium

  * Team upload
  * d/p/glocalfile-Never-require-G_LOCAL_FILE_STAT_FIELD_ATIME.patch:
    Add proposed patch to fix file copying on ZFS and CIFS (Closes: #970228)
  * d/p/gdbus-server-auth-Don-t-usually-test-non-EXTERNAL-repeate.patch:
    Add proposed patch to work around DBUS_COOKIE_SHA1 test failures
  * d/p/Revert-gtk-doc-dependency-to-1.32.patch: Move to debian subdirectory.
    This patch is not intended to go upstream.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Sep 2020 22:12:49 +0100

glib2.0 (2.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
   - Fix missing tab in makefile rule
   - guri: Fix user passed to g_uri_split_with_user() not being NULL'd
   - Translation updates:
  * d/watch: Only watch for stable releases
  * d/p/gdbusauthmechanismsha1-Use-the-same-timeouts-as-libdbus.patch:
    Add patch to fix intermittent test failures on slower architectures.
    This narrowly missed the upstream code freeze, and should be in 2.66.1.

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Sep 2020 09:18:58 +0100

glib2.0 (2.65.3-1) experimental; urgency=medium

  * New upstream release
    + Fixes to the new `statx()` calls — note that since GLib 2.65.2 uses
      `statx()` (if available) instead of
      `stat()`/`fstat()`/`lstat()`/`fstatat()`, syscall sandboxing for third
      party applications might need to be updated
    + Also includes "Fix splice behavior on cancellation", a fix for a bug
      which was affecting tracker - particularly its autopkgtests.

 -- Iain Lane <laney@debian.org>  Thu, 03 Sep 2020 18:55:20 +0100

glib2.0 (2.65.2-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/rules: Run gtk-doc checks, even if building indep-only.
    Previously we would only run the gtk-doc checks if building
    architecture-dependent and -independent packages in the same build,
    which is done on Ubuntu amd64 buildds, but not on any Debian buildds.
  * Reduce dependency to the version of gtk-doc-tools from unstable.
    Instead of being some random snapshot from upstream git, this is the
    last release plus some selected patches. In particular, it has enough
    fixes to make the gtk-doc tests pass (Closes: #968975).
  * d/libglib2.0-tests.lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2020 12:44:02 +0100

glib2.0 (2.65.1-1) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in:
    - let libglib2.0-tests Depends on libglib2.0-0 (= ${binary:Version}),
      otherwise we can end up with failures due to out of sync versions

  [ Simon McVittie ]
  * d/shlibs.local: Upgrade all binary packages in lockstep.
    Like many projects where one source package builds multiple binary
    packages, GLib has private headers that share non-public interfaces
    between its binary packages. Instead of setting this up for individual
    binary packages, we can tell dpkg-shlibdeps to generate lockstep
    dependencies whenever one of our binary packages depends on our shared
    libraries.
  * d/watch, d/control.in, d/gbp.conf: Branch for experimental
  * New upstream development release
    - Require the experimental version of gtk-doc-tools.
      GLib 2.65.x requires a version that hasn't been released yet.
    - Update symbols file
    - Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Aug 2020 15:44:34 +0100
