=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 12),
@@ -18,12 +17,11 @@
                dpkg-dev (>= 1.17.14),
                gettext,
                gnome-pkg-tools (>= 0.11),
-               gtk-doc-tools (>= 1.32-4~),
                libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
                libelf-dev (>= 0.142),
                libffi-dev (>= 3.3),
                libgamin-dev [hurd-any] | libfam-dev [hurd-any],
-               libmount-dev (>= 2.28) [linux-any],
+               libmount-dev (>= 2.35.2-7~) [linux-any],
                libpcre3-dev (>= 1:8.35),
                libselinux1-dev [linux-any],
                libxml2-utils,
@@ -39,11 +37,12 @@
                xsltproc,
                xterm <!nocheck>,
                zlib1g-dev
+Build-Depends-Indep: gtk-doc-tools (>= 1.32-4~),
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: http://www.gtk.org/
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
 
 Package: libglib2.0-0
 Architecture: any
@@ -110,8 +109,7 @@
 Section: misc
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libglib2.0-0 (= ${binary:Version}),
-         libglib2.0-data,
+Depends: libglib2.0-data,
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: foreign
@@ -131,7 +129,7 @@
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
-         libmount-dev (>= 2.28) [linux-any],
+         libmount-dev (>= 2.35.2-7~) [linux-any],
          libpcre3-dev (>= 1:8.31),
          libselinux1-dev [linux-any],
          pkg-config,
