=== debian/rules ===
--- 
+++ 
@@ -153,10 +153,18 @@
 	|| true
 endif
 
-# Skip build-time tests if all we are building is documentation; running
-# them once per architecture is plenty
+# Skip most build-time tests if all we are building is documentation;
+# running them once per architecture is plenty. As an exception, do run the
+# documentation completeness checks, which won't normally be run on
+# architecture-specific buildds (except in Ubuntu).
 override_dh_auto_test-indep:
-	@:
+	meson test -C debian/build/deb \
+		--no-rebuild \
+		--num-processes 1 \
+		--timeout-multiplier $(test_timeout_multiplier) \
+		--verbose \
+		gio-doc-check glib-doc-check gobject-doc-check \
+	|| $(handle_test_failure)
 
 # The tests assume this directory exists and is writable
 export XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-xdg-runtime-dir
@@ -250,13 +258,3 @@
 	dh_install -plibglib2.0-udeb --sourcedir=debian/install/udeb
 endif
 	dh_install --remaining-packages --sourcedir=debian/install/deb
-	install -D -t debian/libglib2.0-0/usr/lib/${DEB_HOST_MULTIARCH}/glib-2.0/ debian/gio-launch-desktop
-
-override_dh_dwz:
-	dh_dwz -Nlibglib2.0-udeb
-
-override_dh_missing:
-	dh_missing --sourcedir=debian/install/deb --fail-missing
-ifneq ($(filter %-udeb,$(binaries)),)
-	dh_missing --sourcedir=debian/install/udeb --fail-missing
-endif
