## glib2.0 2.66.3

=== debian/changelog ===
glib2.0 (2.66.3-2) unstable; urgency=medium

  * Apply packaging changes from experimental to unstable:
    - postinst: Clean up outdated copies of GLib if present, to avoid
      infrequent upgrade issues on non-merged-/usr systems.
      See #911225 and #949395 for more information.
      (Closes: #896019, #954960, #955331)
  * Add myself to Uploaders
  * Standards-Version: 4.5.1 (no changes required)
  * Swap Homepage field to something more GLib-specific
  * d/gbp.conf: Change upstream branch to upstream/2.66.x.
    2.67.0 was already released, so it's inaccurate to say that 2.66.x
    is the latest.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Dec 2020 12:28:42 +0000

glib2.0 (2.66.3-1+exp1) experimental; urgency=medium

  * Merge from unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2020 20:47:54 +0000

glib2.0 (2.66.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve performance of processing files hidden via ./.hidden
    - All other changes were already included in 2.66.2-1
  * Drop patches that were cherry-picked from upstream
  * Stop reverting gtk-doc dependency version.
    We now have a suitable gtk-doc in Debian.
  * Drop a patch that was not applied upstream.
    This was hoped to be a workaround for intermittent test failures, but
    doesn't seem to have had the desired effect in practice.
  * Mark the DBUS_COOKIE_SHA1 parts of gdbus-server-auth test as flaky.
    This is not reliable enough to always pass on buildds, but is too
    intermittent to be able to reproduce the failure in a development
    environment, and DBUS_COOKIE_SHA1 is not an important enough feature
    to justify failing the build for this.
    As with other flaky tests, we still run this as an autopkgtest in an
    attempt to get more useful information, but we ignore failure.

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2020 11:11:06 +0000

glib2.0 (2.66.2-1+exp1) experimental; urgency=medium

  * Branch for experimental
  * postinst: Clean up outdated copies of GLib to avoid infrequent
    upgrade issues on non-merged-/usr systems
    (Closes: #896019, #954960, #955331)

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2020 13:11:00 +0000

glib2.0 (2.66.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add some missing (nullable) and (not nullable) annotations
  * Drop patches that were cherry-picked from upstream
  * Update patch series to upstream 2.66.2-9-g4daaf303a
    - Fix race in socketclient-slow test
    - Cope with sending fds in a D-Bus message that takes multiple writes
    - Don't skip updating polled fd sources
    - Add G_GNUC_PRINTF annotation to g_trace_mark()
  * d/p/glib-tests-fileutils-Make-more-use-of-g_assert_no_errno.patch,
    d/p/glib-tests-fileutils-Fix-expectations-when-running-as-roo.patch:
    Add proposed patch to fix a test failure when running as root
    (Closes: #973271)
  * d/rules: Remove migration path from legacy -dbg package.
    This was most recently shipped in Debian 9, and we don't support
    upgrades from anything older than Debian 10.
  * Drop obsolete workaround for #887629.
    We don't support upgrades from versions older than Debian 10, so we can
    drop workarounds that were only relevant for the upgrade from 9 to 10.

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Oct 2020 13:54:56 +0000
