=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
@@ -37,10 +37,10 @@
                xsltproc,
                xterm <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: gtk-doc-tools (>= 1.32-4~),
+Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://www.gtk.org/
+Standards-Version: 4.5.1
+Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
