=== debian/changelog ===
glib2.0 (2.66.8-1) unstable; urgency=medium

  * d/watch: Only watch for 2.66.x versions.
    2.68.0 has been released but will not be in bullseye.
  * New upstream release
    - Functionally equivalent to 2.66.7-2, except for the version number
      and a change to Windows-specific code that is not used in Debian
  * Drop patches that were included in the new upstream release
  * d/p/glocalfileoutputstream-Tidy-up-error-handling.patch:
    Add patch from upstream to clean up error handling.
    After the fix for #984969, this function could end up calling close(-1),
    which is harmless but gets flagged as an error by static analysis and
    by error-checking instrumentation. Fixing this will prevent it from
    obscuring real errors.
  * Add CVE references in recent changelog entries.
    CVE IDs for the vulnerabilities were not available at the time they were
    fixed, but now they are.

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Mar 2021 15:35:19 +0000

glib2.0 (2.66.7-2) unstable; urgency=medium

  * d/changelog: Add bug numbers for integer overflows in previous versions
  * Add patches to fix a symlink attack affecting file-roller.
    When g_file_replace() is used with G_FILE_CREATE_REPLACE_DESTINATION to
    replace a path that is a dangling symlink, previously it would have also
    created the target of the symlink as an empty file, which could
    conceivably be security-sensitive if the symlink is attacker-controlled.
    (Closes: #984969; CVE-2021-28153)

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Mar 2021 10:23:38 +0000

glib2.0 (2.66.7-1) unstable; urgency=high

  * New upstream release
    - Fix another regression caused by the GHSL-2021-045 fixes in 2.66.6
    - Warn and fail on integer overflow in g_byte_array_new_take()
      for arrays larger than G_MAXUINT
      (Closes: #982779; CVE-2021-27218)
    - Disallow using currently-undefined D-Bus connection or server flags,
      to prevent forward-compatibility problems with new security-sensitive
      flags that are likely to be introduced in GLib 2.68
  * Drop previous patches for GHSL-2021-045 regressions, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 17:08:14 +0000

glib2.0 (2.66.6-2) unstable; urgency=high

  * d/patches: Add proposed fixes for regressions in 2.66.6.
    Two functions that took either a positive length, or -1 to indicate
    strlen(), had assertions with the wrong sense in 2.66.6, causing some
    valid uses of those functions to regress.
  * d/p/debian/61_glib-compile-binaries-path.patch: Remove.
    This patch turns out to be unnecessary, and is harmful for
    cross-compiling. Thanks to Helmut Grohne (Closes: #982213)
  * Set high urgency to get the regression fixes into bullseye

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Feb 2021 19:43:08 +0000

glib2.0 (2.66.6-1) unstable; urgency=high

  * New upstream release
    - Fix various integer overflows, some of them potentially exploitable
      (Closes: #982778; CVE-2021-27219, GHSL-2021-045)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 20:24:20 +0000

glib2.0 (2.66.5-1) unstable; urgency=medium

  * New upstream release, equivalent to 2.66.4-27-g0051c0635
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Feb 2021 19:16:01 +0000

glib2.0 (2.66.4-4) unstable; urgency=medium

  * d/patches: Update patch series to upstream commit 2.66.4-27-g0051c0635
    - Improve test coverage for #977961
    - Stop valgrind reporting memory leaks in GSpawn in most cases
    - Partially revert security hardening from 2.66.4-2: allow
      DBUS_SESSION_BUS_ADDRESS to be taken from the environment by
      setcap executables (to avoid regressing gnome-keyring) and by
      setgid executables (to avoid regressing msmtp).
      (Closes: #981420, #981555)
      Note that this is likely to be reverted in GLib 2.70.x to provide
      better hardening. The D-Bus session bus is not designed to be used
      by processes that have elevated privileges.

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Feb 2021 13:55:41 +0000

glib2.0 (2.66.4-3) unstable; urgency=medium

  * Improve patch for #977961, and add basic test coverage

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jan 2021 19:05:50 +0000

glib2.0 (2.66.4-2) unstable; urgency=medium

  * d/patches: Update patch series to upstream commit 2.66.4-18-g872181c4f
    (excluding Windows-specific changes)
    - Security hardening: in GIO, ignore various environment variables
      if GIO is (inadvisably) used in a setuid process without sanitizing
      the environment first, similar to CVE-2012-3524
    - Reject very long date strings early, instead of spending time
      normalizing and parsing them
    - Fix recursion in GPrivate
  * d/p/spawn-Don-t-set-a-search-path-if-we-don-t-want-to-search-.patch:
    Make the g_spawn family only search PATH if G_SPAWN_SEARCH_PATH is used.
    Previously, they would sometimes search /usr/bin:/bin:. for an
    executable they should have only loaded from the current working
    directory. In particular, this made gtk+3.0 fail its build-time tests
    if ImageMagick display(1) happened to be installed. (Closes: #977961)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jan 2021 11:33:06 +0000

glib2.0 (2.66.4-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:51 +0000
